apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.secretName }}
type: Opaque

stringData:
  # cms postgres
  {{- with .Values.cms.postgres }}
  postgres-host: {{ .hostname | quote }}
  postgres-username: {{ .username | quote }}
  postgres-password: {{ .password | quote }}
  postgres-db: {{ .database | quote }}
  postgres-sslmode: {{ .sslmode | quote }}
  {{- end }}

  # backend
  {{- with .Values.backend.postgres.dataplatform }}
  dataplatform-postgres-conn: {{ printf "postgres://%s:%s@%s:%s/%s?sslmode=%s" .username .password .hostname (.port | toString) .database .sslmode }}
  {{- end }}
  {{- with .Values.backend.postgres.datasources }}
  datasources-postgres-conn: "[
    {{- $first := true -}}
    {{- range $key, $value := . -}}
      {{- if not $first -}},{{- else -}}{{- $first = false -}}{{- end -}}
      {\"name\":\"{{ $key }}\",\"value\":\"
      {{- printf "postgres://%s:%s@%s:%s/%s?sslmode=%s" $value.username $value.password $value.hostname ($value.port | default "5432") $value.database $value.sslmode -}}
      \"}
    {{- end -}}
    ]"
  {{- end }}
  {{- with .Values.backend.postgres.pragozor }}
  postgres-conn: {{ printf "postgres://%s:%s@%s:%s/%s?sslmode=%s" .username .password .hostname (.port | toString) .database .sslmode }}
  {{- end }}
  recaptcha-secret-key: {{ .Values.recaptcha.secretKey | quote }}
  recaptcha-site-key: {{ .Values.recaptcha.siteKey | quote }}
  {{- if .Values.backend.redis.password }}
  backend-redis-conn: {{ printf "redis://somebody:%s@%s:%d/%d" .Values.backend.redis.password .Values.backend.redis.host (.Values.backend.redis.port | int) (.Values.backend.redis.database | int) }}
  {{- else }}
  backend-redis-conn: {{ printf "redis://%s:%d/%d" .Values.backend.redis.host (.Values.backend.redis.port | int) (.Values.backend.redis.database | int) }}
  {{- end }}

  # smtp.office365
  {{- with .Values.smtp }}
  smtp-from-address: {{ .mailerFrom | quote }}
  smtp-mailer-to: {{ .mailerTo | quote }}
  smtp-host: {{ .hostname | quote }}
  smtp-port: {{ .port | quote }}
  smtp-password: {{ .password | quote }}
  smtp-user: {{ .username | quote }}
  {{- end }}
  # rozpocet
  rozpocet-app-key: {{ .Values.rozpocetAppKey | quote }}
